<template>
  <div class="container">
    <PalindromeChecker @onAddPalindromes="loadPalindromesFromStorage()"/>
    <PalindromeList :palindromes="palindromes"/>
  </div>
</template>

<script>
  import PalindromeChecker from './components/PalindromeChecker'
  import PalindromeList from './components/PalindromeList'

  export default {
    components: {PalindromeChecker, PalindromeList},
    data() {
      return {
        LOCAL_STORAGE_KEY: 'PALINDROMES',
        palindromes: []
      }
    },
    created() {
      this.loadPalindromesFromStorage();
    },
    methods: {
      loadPalindromesFromStorage() {
        this.palindromes = JSON.parse(localStorage.getItem(this.LOCAL_STORAGE_KEY));
      }
    }
  }
</script>

<style lang="scss">
  @import "styles/AppStyle";
</style>
